Bug 498208 - webui string typo for kickstart
webui string typo for kickstart
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Shannon Hughes
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-04-29 09:23 EDT by Shannon Hughes
Modified: 2009-09-10 15:25 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 498206
: 498210 (view as bug list)
Environment:
Last Closed: 2009-09-10 15:25:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shannon Hughes 2009-04-29 09:23:12 EDT
Ticket <URL: https://engineering.redhat.com/rt3/Ticket/Display.html?id=39923 >

Typo in java.po

Reference:
#. ID:"kickstart.cobbler.profile.invalidtreeforvirt"
#: en-US/java.xliff:1268
#, no-c-format
#, fuzzy

String:
You have selected a distribution or kickstart tree that is incompatible with 
the currently selected virtualization type.  Please either select a differnt 
distribution, or change the selected Virtualization Type of this profile 
before trying to set the distribution.

Error:
'differnt' instead of 'different'
Comment 1 Shannon Hughes 2009-04-29 09:41:52 EDT
fixed in latest spacewalk and vader branches, 

commit	b9fe7f8b9ed99d0e3c279f6f44c0f4bcff21df47
Comment 2 Shannon Hughes 2009-05-07 15:18:14 EDT
mass move to onqa
Comment 3 Mike McCune 2009-07-06 15:37:41 EDT
The error is actually currently impossible to get to show up in the ui.  To verify the correction do:


mkdir /tmp/rhnjar && cp /usr/share/rhn/lib/rhn.jar /tmp/rhnjar && cd /tmp/rhnjar \
&& jar xf rhn.jar && grep -C 10 kickstart.cobbler.profile.invalidtreeforvirt com/redhat/rhn/frontend/strings/java/StringResource_en_US.xml
Comment 4 Steve Salevan 2009-07-06 15:39:50 EDT
VERIFIED on 7/2 build.
Comment 5 John Sefler 2009-08-27 13:30:41 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

[root@sun-x4200-01 rhn]# grep -C 2 kickstart.cobbler.profile.invalidtreeforvirt com/redhat/rhn/frontend/strings/java/StringResource_en_US.xml 
        <source>Para-Virtualization is unsupported with the selected kickstart tree or distribution.</source>
     </trans-unit>
     <trans-unit id="kickstart.cobbler.profile.invalidtreeforvirt">
        <source>You have selected a distribution or kickstart tree that is incompatible with the currently selected virtualization type.  Please either select a different distribution, or change the selected Virtualization Type of this profile before trying to set the distribution.</source>
     </trans-unit>


The word different is spelled correctly.
Moving to RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 15:25:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.